Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SceneObjectManagerTemplate< Type > Class Template Reference

シーンオブジェクトマネージャテンプレート More...

`#include <SceneObjectManagerTemplate.h>`

Inheritance diagram for Lamp::SceneObjectManagerTemplate< Type >:

List of all members.

## Public Member Functions
virtual int | destroy (Type *object)
| オブジェクトの破棄
virtual Scene * | getScene () const
| シーンの取得
virtual int | getCount ()
| オブジェクト数の取得
virtual Type * | get (int index)
| オブジェクトの取得
virtual Type * | search (const String &name)
| オブジェクトの検索
virtual bool | existName (const String &name)
| 名前が存在するかどうか
virtual String | rename (const String &sourceName)
| リネーム
## Protected Member Functions
| SceneObjectManagerTemplate (Scene *scene)
| コンストラクタ
virtual | ~SceneObjectManagerTemplate ()
| デストラクタ
bool | checkName (String name)
| 名前のチェック
virtual void | addDatabase (const String &name, Type *object)
| データベースへの追加
virtual int | clear ()
| クリア
## Protected Attributes
HashMap< String, Type * > | database_
| データベース
ArrayList< Type * > | array_
| 配列
Scene * | scene_
| シーン
## Friends
class | Scene

## Detailed Description

### template<typename Type>
class Lamp::SceneObjectManagerTemplate< Type >

シーンオブジェクトマネージャテンプレート

Definition at line 40 of file SceneObjectManagerTemplate.h.

## Constructor & Destructor Documentation

template<typename Type>
Lamp::SceneObjectManagerTemplate< Type >::SceneObjectManagerTemplate | ( | Scene * | scene | ) | `[inline, protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 119 of file SceneObjectManagerTemplate.h.

## Member Function Documentation

template<typename Type>
virtual void Lamp::SceneObjectManagerTemplate< Type >::addDatabase | ( | const String & | name,
|  | Type * | object
| ) | `[inline, protected, virtual]`

  | データベースへの追加 Parameters:
  name | 名前
  object | オブジェクト
Definition at line 157 of file SceneObjectManagerTemplate.h.

template<typename Type>
bool Lamp::SceneObjectManagerTemplate< Type >::checkName | ( | String | name | ) | `[inline, protected]`

  | 名前のチェック Parameters:
  name | チェックする名前
Returns: 正常な名前ならtrueを返す Definition at line 137 of file SceneObjectManagerTemplate.h.

template<typename Type>
virtual int Lamp::SceneObjectManagerTemplate< Type >::clear | ( |  | ) | `[inline, protected, virtual]`

| クリア Returns: 削除したオブジェクト数 Reimplemented in Lamp::SceneNodeManager. Definition at line 166 of file SceneObjectManagerTemplate.h. Referenced by Lamp::SceneObjectManagerTemplate< Mesh >::~SceneObjectManagerTemplate().

template<typename Type>
virtual int Lamp::SceneObjectManagerTemplate< Type >::destroy | ( | Type * | object | ) | `[inline, virtual]`

  | オブジェクトの破棄 Parameters:
  object | 破棄するオブジェクト
Returns: 破棄するオブジェクトのリファレンスカウンタ。0なら破棄されている Definition at line 48 of file SceneObjectManagerTemplate.h.

template<typename Type>
virtual bool Lamp::SceneObjectManagerTemplate< Type >::existName | ( | const String & | name | ) | `[inline, virtual]`

  | 名前が存在するかどうか Parameters:
  name | 存在するかどうか調べる名前
Returns: 名前が存在すればtrue Implements Lamp::Renamer::Database. Definition at line 102 of file SceneObjectManagerTemplate.h. Referenced by Lamp::SceneObjectManagerTemplate< Mesh >::checkName().

template<typename Type>
virtual Type* Lamp::SceneObjectManagerTemplate< Type >::get | ( | int | index | ) | `[inline, virtual]`

  | オブジェクトの取得 Parameters:
  index | オブジェクトのインデクス
Returns: オブジェクト Definition at line 85 of file SceneObjectManagerTemplate.h.

template<typename Type>
virtual int Lamp::SceneObjectManagerTemplate< Type >::getCount | ( |  | ) | `[inline, virtual]`

| オブジェクト数の取得 Returns: オブジェクト数 Definition at line 78 of file SceneObjectManagerTemplate.h. Referenced by Lamp::SceneObjectManagerTemplate< Mesh >::clear(), and Lamp::SceneObjectManagerTemplate< Mesh >::~SceneObjectManagerTemplate().

template<typename Type>
virtual Scene* Lamp::SceneObjectManagerTemplate< Type >::getScene | ( |  | ) | const`[inline, virtual]`

| シーンの取得 Returns: シーン Definition at line 71 of file SceneObjectManagerTemplate.h.

template<typename Type>
virtual String Lamp::SceneObjectManagerTemplate< Type >::rename | ( | const String & | sourceName | ) | `[inline, virtual]`

  | リネーム Parameters:
  sourceName | 元となる名前
Returns: 重複していない名前 Definition at line 109 of file SceneObjectManagerTemplate.h.

template<typename Type>
virtual Type* Lamp::SceneObjectManagerTemplate< Type >::search | ( | const String & | name | ) | `[inline, virtual]`

  | オブジェクトの検索 Parameters:
  name | 検索するオブジェクト名
Returns: オブジェクト Definition at line 92 of file SceneObjectManagerTemplate.h. Referenced by Lamp::SceneObjectManagerTemplate< Mesh >::existName().

The documentation for this class was generated from the following file:

- SceneObjectManagerTemplate.h